﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd">
    <head>
        <link href="../Resources/TableStyles/Default-Table.css" rel="stylesheet" MadCap:stylesheetType="table" /><title>Editing Scan Rule</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Editing Scan Rule</h1>
        <p>If you want to edit a scan rule, perform the following steps:</p>
        <ol>
            <li>Go to <strong>Analytics &gt; Scan Rules</strong> page, the page displays all the existing scan rules previously created and stored.</li>
            <li>Search and select the scan rule that you want to edit.</li>
            <li>Edit the information in the respective fields and click<strong> Update</strong>.</li>
        </ol>
        <p>Provide the following parameter details, by referring to the table given in following section.:</p>
        <h3 id="EditingScanRule-EditScanRuletab">Edit Scan Rule tab</h3>
        <table class="TableStyle-Default-Table" style="width: 100%;mc-table-style: url('../Resources/TableStyles/Default-Table.css');" cellspacing="0">
            <col style="width: 31.6369%;" class="TableStyle-Default-Table-Column-Column1" />
            <col style="width: 68.3173%;" class="TableStyle-Default-Table-Column-Column1" />
            <thead>
                <tr class="TableStyle-Default-Table-Head-Header1">
                    <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Parameter</th>
                    <th class="TableStyle-Default-Table-HeadD-Column1-Header1">Description</th>
                </tr>
            </thead>
            <tbody>
                <tr class="TableStyle-Default-Table-Body-Body1">
                    <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                        <p class="table-text">Rule Name<span style="color: rgb(255,0,0);">*</span></p>
                    </td>
                    <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                        <p class="table-text">Enter a rule name for the new scan rule being created.</p>
                    </td>
                </tr>
                <tr class="TableStyle-Default-Table-Body-Body1">
                    <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                        <p class="table-text">Category</p>
                    </td>
                    <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                        <p class="table-text">Used to define a category of the scan rule being created. Based on the scan rule which you are defining, you can specify the category such as PCI, PII or any other custom category.</p>
                        <p class="table-text">There are industry standard Data Access Governance (DAG) related standards such as Payment Credit Information (PCI) standard, which is related with the online credit card payment security standards. Personal Identifiable Information (PII) is used to confidentially store securely an individuals identity information such as Social Security Number (SSN), Driving License details, and personal Biometric details.&#160; &#160;</p>
                    </td>
                </tr>
                <tr class="TableStyle-Default-Table-Body-Body1">
                    <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                        <p class="table-text">Regex<span style="color: rgb(255,0,0);">*</span></p>
                    </td>
                    <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                        <p class="table-text">Enter a regular expression to be used while scanning for information on the documents, records or details of end user or an organization.&#160;Scan rule will match the regex pattern with the content of the document.&#160;</p>
                        <p class="table-text">For example,&#160;Regex for CO Driving license:&#160;<label class="param-value">\b([0-9]{9})|([A-Z]{1}[0-9]{3,6})|([A-Z]{2}[0-9]{2,5})\b</label></p>
                    </td>
                </tr>
                <tr class="TableStyle-Default-Table-Body-Body1">
                    <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                        <p class="table-text">Status</p>
                    </td>
                    <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                        <p class="table-text">Select a status of the scan rule, available options are:</p>
                        <ul>
                            <li>
                                <p class="table-text">Active - The scan rule is made active and can be used for scanning the information on a database.</p>
                            </li>
                            <li>
                                <p class="table-text">Inactive - The scan rule is currently inactive and undergoing an update, will not be available&#160;for scanning the information on a database.</p>
                            </li>
                        </ul>
                    </td>
                </tr>
                <tr class="TableStyle-Default-Table-Body-Body1">
                    <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                        <p class="table-text">Match Multiple</p>
                    </td>
                    <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                        <p class="table-text">Value can be Yes or No.</p>
                        <p class="table-text">If the value is Yes, then scan rule will match the multiple occurrences of the violation/sensitive information in the same document.&#160;</p>
                        <p class="table-text">If the value is No, then scan rule will match only the first occurrence of the violation/sensitive information</p>
                    </td>
                </tr>
                <tr class="TableStyle-Default-Table-Body-Body1">
                    <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                        <p class="table-text">White List Query (Multiple queries can be separated by ;)</p>
                    </td>
                    <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                        <p class="table-text">One or more queries that return file to be white-listed. This parameter is used when a file which meets certain conditions should not be scanned.</p>
                        <p class="table-text">Below is a sample white-list query.&#160;</p>
                        <MadCap:codeSnippet>
                            <MadCap:codeSnippetCopyButton aria-label="Copy" title="Copy to clipboard" />
                            <MadCap:codeSnippetCaption>SQL</MadCap:codeSnippetCaption>
                            <MadCap:codeSnippetBody MadCap:useLineNumbers="False" MadCap:lineNumberStart="1" MadCap:continue="False" xml:space="preserve" style="padding-left: 12px;padding-right: 16px;padding-top: 12px;padding-bottom: 12px;mc-code-lang: SQL;">select distinct ev.entitlement_value
 from entitlement_values ev, entitlement_types et, accounts ad, securitysystems ss, externalconnection exc, externalconnectiontype exct, 
 user_accounts ua, accounts box, users usr, account_entitlements1 ae
 where ev.entitlementtypekey = et.entitlementtypekey
   AND et.systemkey = ss.systemkey
         AND ss.externalconnection = exc.externalconnectionkey
         AND exc.externalconnectionType = exct.externalconnectiontypekey
         AND exct.connectiontype = 'BOX'
         AND ae.entitlement_valuekey = ev.entitlement_valuekey
         AND ae.accountkey = box.accountkey
         AND box.accounttype = 'user'
         AND box.accountkey = ua.accountkey
         AND ua.userkey = usr.userkey
         AND usr.DEPARTMENTNAME = 'HR'
         AND ev.ENTITLEMENT_VALUE='${entitlementValue}' ;</MadCap:codeSnippetBody>
                        </MadCap:codeSnippet>
                    </td>
                </tr>
                <tr class="TableStyle-Default-Table-Body-Body1">
                    <td colspan="1" class="TableStyle-Default-Table-BodyE-Column1-Body1">
                        <p class="table-text">Proximity Search Length</p>
                    </td>
                    <td colspan="1" class="TableStyle-Default-Table-BodyD-Column1-Body1">
                        <p class="table-text">Indicates the number of characters before and after the matched violation that need to be scanned for proximity search tokens. The violation probability is ‘high’ if scan rule finds any proximity token within the proximity search length. Otherwise, the violation probability is ‘less’.</p>
                        <p class="table-text">For example, if you specify the number of characters as 30,&#160;only 30 characters before and after the violations are scanned for proximity tokens are scanned.</p>
                    </td>
                </tr>
                <tr class="TableStyle-Default-Table-Body-Body1">
                    <td colspan="1" class="TableStyle-Default-Table-BodyB-Column1-Body1">
                        <p class="table-text">Proximity Search Tokens (Separate multiple tokens using ,)</p>
                    </td>
                    <td colspan="1" class="TableStyle-Default-Table-BodyA-Column1-Body1">
                        <p class="table-text">One or more tokens that should be matched along with the regex pattern. This parameter is used to determine the probability of the violation and to reduce the false positives.</p>
                        <p class="table-text">For example, Proximity tokens for CO Driving license:&#160;driver license, drivers license, driving license, driver's license.</p>
                    </td>
                </tr>
            </tbody>
        </table>
        <h3 id="EditingScanRule-Entitlementstab">Entitlements tab</h3>
        <p>Displays the list of entitlement values(documents) matching the scan rule.</p>
    </body>
</html>